(use-modules
 (ordo connection)
 (ordo action filesystem)
 (ordo play)
 (ordo task)
 (ordo handler))

(define test-play
  (play "Test play"
        #:connection (local-connection)
        #:tasks (list
                 (task "Create test directory"
                       (install-directory "/home/ray/ordo-test"))
                 (task "Create test file from string content"
                       (install-file "/home/ray/ordo-test/foo" #:content "Hello, world!\n"))
                 (task "Create test file from local source"
                       (install-file "/home/ray/ordo-test/bar" #:local-src "/home/ray/ordo-test/foo")
                       #:triggers '(fritz))
                 (task "Create test file from remote source"
                       (install-file "/home/ray/ordo-test/baz" #:remote-src "/home/ray/ordo-test/bar")
                       #:triggers '(frobnicate)))
        #:handlers `((frobnicate . ,(handler "Frobnicate" (const #t)))
                     (fritz . ,(handler "Fritz" (const #t)))
                     (frotz . ,(handler "Frotz" (const #t))))))

;;(run-play test-play)
